Accessibility: Installing 2.0 From Source

Table of contents

Installing Mono Accessibility 2.0 From Source

Prerequisites

Getting the Source

Please download 2.0 release tarballs:

from http://mono-a11y.org/releases/2.0/sources/

Building and Installing

If you have a parallel Mono environment, make sure to specify the correct prefix during the configure stage.

mono-uia-2.0.tar.bz2

 tar xfj mono-uia-2.0.tar.bz2
 cd mono-uia-2.0/
 ./configure --prefix=/usr
 make
 sudo make install

uiautomationwinforms-2.0.tar.bz2

 tar xfj uiautomationwinforms-2.0.tar.bz2
 cd uiautomationwinforms-2.0/
 ./configure --prefix=/usr
 make 
 sudo make install

uiaatkbridge-2.0.tar.bz2

 tar xfj uiaatkbridge-2.0.tar.bz2
 cd uiaatkbridge-2.0/
 ./configure --prefix=/usr --disable-tests
 make
 sudo make install

uiadbus-2.0.tar.bz2

 tar xfj uiadbus-2.0.tar.bz2
 cd uiadbus-2.0/
 ./configure --prefix=/usr
 make 
 sudo make install

at-spi-sharp-1.0.tar.bz2

 tar xfj at-spi-sharp-1.0.tar.bz2
 cd at-spi-sharp-1.0/
 ./configure --prefix=/usr --disable-tests
 make
 sudo make install

atspiuiasource-2.0.tar.bz2

 tar xfj atspiuiasource-2.0.tar.bz2
 cd atspiuiasource-2.0/
 ./configure --prefix=/usr
 make
 sudo make install

What Now?

Make sure you have Accessibility turned on in your GNOME preferences, and everything should Just Work.